--<h1 class="m-3">Product</h1>
<form class="m-4">
    <div class="form-group m-3">
      <label for="exampleInputEmail1">ID</label>
      <input  class="form-control" disabled aria-describedby="emailHelp" value="{{category.id}}">
    </div>
    <div class="form-group m-3">
      <label>Name</label>
      <input  class="form-control"   value="{{category.name}}">
    </div>
    <div class="form-group m-3">
        <label>Perant Category </label>
        <mat-form-field appearance="standard" class="ms-4 w-25">
          <mat-select [(ngModel)]="category.perantId" name="categoryperantId">
            <mat-option  *ngFor="let cat of categories"  class="form-control"  [value]="cat.id">
              {{cat.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
    </div>

    <button type="submit" class="btn btn-primary mt-2" routerLink='/Product/List'
    routerLinkActive="router-link-active">Back</button>
  </form>